<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__qspi__command__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_qspi_command_t</compoundname>
    <includes local="no">cyhal_qspi.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__qspi__command__t_1a6b3a205d095fac02f65395f3080e2257" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cyhal_qspi_command_t::@5</type>
        <definition>struct cyhal_qspi_command_t::@5  cyhal_qspi_command_t::instruction</definition>
        <argsstring />
        <name>instruction</name>
        <briefdescription>
<para>Instruction structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="146" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_1a5575b9fde5fb2ef4278f4162d3ba9b17" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cyhal_qspi_command_t::@6</type>
        <definition>struct cyhal_qspi_command_t::@6  cyhal_qspi_command_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
<para>Address structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="152" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_1a6fc8177c91c003870da0daea405a5b5c" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cyhal_qspi_command_t::@7</type>
        <definition>struct cyhal_qspi_command_t::@7  cyhal_qspi_command_t::mode_bits</definition>
        <argsstring />
        <name>mode_bits</name>
        <briefdescription>
<para>Mode bits structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="158" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_1a972b6ca026d8e28490ab029d431b7a20" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_qspi_command_t::dummy_count</definition>
        <argsstring />
        <name>dummy_count</name>
        <briefdescription>
<para>Dummy cycles count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="159" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="159" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_1aea8f0c3e6166a587bd2781f91bf8814a" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cyhal_qspi_command_t::@8</type>
        <definition>struct cyhal_qspi_command_t::@8  cyhal_qspi_command_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Data structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="162" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>QSPI command settings. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="163" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="141" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="141" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__qspi__command__t_1a5575b9fde5fb2ef4278f4162d3ba9b17" virt="non-virtual"><scope>cyhal_qspi_command_t</scope><name>address</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_1aea8f0c3e6166a587bd2781f91bf8814a" virt="non-virtual"><scope>cyhal_qspi_command_t</scope><name>data</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_1a972b6ca026d8e28490ab029d431b7a20" virt="non-virtual"><scope>cyhal_qspi_command_t</scope><name>dummy_count</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_1a6b3a205d095fac02f65395f3080e2257" virt="non-virtual"><scope>cyhal_qspi_command_t</scope><name>instruction</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_1a6fc8177c91c003870da0daea405a5b5c" virt="non-virtual"><scope>cyhal_qspi_command_t</scope><name>mode_bits</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>